Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.graphic
Class FontStyle

    java.lang.Object
      jcckit.graphic.FontStyle

public class FontStyle
extends java.lang.Object

Font style constants. This class is based on the typesafe enumeration pattern.

Author:
  Franz-Josef Elmer

Field Summary
`static FontStyle` | `BOLD` Font style constant.
`static FontStyle` | `BOLD_ITALIC` Font style constant.
`static FontStyle` | `ITALIC` Font style constant.
`static FontStyle` | `NORMAL` Font style constant.

Method Summary
`static FontStyle` | `getFontStyle(ConfigParameters config, java.lang.String key, FontStyle defaultValue)` Returns from the specified configuration parameters the font style defined by the specified key or the specified default value.
`java.lang.String` | `toString()` Returns a human readable description for pretty printing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final FontStyle NORMAL

  Font style constant.

### BOLD

    public static final FontStyle BOLD

  Font style constant.

### ITALIC

    public static final FontStyle ITALIC

  Font style constant.

### BOLD_ITALIC

    public static final FontStyle BOLD_ITALIC

  Font style constant.

Method Detail

### getFontStyle

    public static FontStyle getFontStyle(ConfigParameters config,
                                         java.lang.String key,
                                         FontStyle defaultValue)

  Returns from the specified configuration parameters the font style defined by the specified key or the specified default value.

  Parameters:
    `config` - Configuration parameters.
    `key` - The key of the font style.
    `defaultValue` - The default value.
  Returns:
    one of the four instances of `FontStyle`.
  Throws:
    `FactoryException` - if the value of the key-value pair denoted by `key` is neither `normal`, `bold`, `italic`, nor `bold italic`, Note, that `FactoryException.getClassName()` returns the invalid value.

### toString

    public java.lang.String toString()

  Returns a human readable description for pretty printing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD